potiuk commented on a change in pull request #7832: Add production image support
URL: https://github.com/apache/airflow/pull/7832#discussion_r401824400
 
 

 ##########
 File path: entrypoint.sh
 ##########
 @@ -0,0 +1,122 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+# Might be empty
+AIRFLOW_COMMAND="${1}"
+
+set -euo pipefail
+
+function verify_db_connection {
+    DB_URL="${1}"
+
+    DB_CHECK_MAX_COUNT=${MAX_DB_CHECK_COUNT:=10}
+    DB_CHECK_SLEEP_TIME=${DB_CHECK_SLEEP_TIME:=2}
+
+    export DETECTED_DB_BACKEND=""
+    export DETECTED_DB_USER=""
+    export DETECTED_DB_HOST=""
+    export DETECTED_DB_PORT=""
+    export DETECTED_DB_SCHEMA=""
+    export DETECTED_DB_PARAMS=""
 
 Review comment:
   BTW. I think the reason I had them exported was because user/schema/params 
are not used and spellcheck complained. So I quickly exported them but then 
forgot to solve it properly. I solved it now by changing them to local and 
leaving comments in place of not used params.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
us...@infra.apache.org


With regards,
Apache Git Services

Reply via email to